API versioning and compatibility

BlockVectra API path versioning, backward-compatible change definitions, and chain and method availability.

Versioning scheme

BlockVectra APIs use path versioning: /v1.

Compatible changes

The following changes are backward-compatible; clients must ignore unknown fields:

  • Adding new fields
  • Adding new error.data.reason values
  • Adding new endpoints
  • Adding new optional parameters

When encountering an unrecognized reason, clients must handle it according to the retryable field in the same error object. See the Error Reference.

Changes outside API versioning

Chains and methods can be added or removed at any time; read GET /v1/chains at runtime.

Pricing and CU weights

The price schedule is fetched in real time from GET /v1/plans (method_weights) See the Pricing page.

Last updated:

On this page